return {
	'nvim-treesitter/nvim-treesitter',
	-- lazy = false,
	-- dependencies = { 'nvim-treesitter/playground' },
	-- dependencies = 'windwp/nvim-ts-autotag',
	event = 'VeryLazy',
	init = function(plugin)
		require("lazy.core.loader").add_to_rtp(plugin)
		require("nvim-treesitter.query_predicates")
	end,
	config = function()
		require('nvim-treesitter.parsers').get_parser_configs().asm = {
			install_info = {
				url = 'https://github.com/rush-rs/tree-sitter-asm.git',
				files = { 'src/parser.c' },
				branch = 'main',
			},
		}
		local configs = require 'nvim-treesitter.configs'

		configs.setup {
			ignore_install = { 'haskell' },
			highlight = {
				enable = true, -- false will disable the whole extension
				disable = { 'html' },
			},
			-- context_commentstring = { enable = true, config = { css = '// %s' } },
			-- indent = {enable = true, disable = {"python", "html", "javascript"}},
			-- TODO seems to be broken
			indent = { enable = true, disable = { 'python', 'css' } },
			-- autotag = { enable = true },
		}
	end,
}
